PHP Manual
Prev |  | Next

# http_cache_last_modified

(PECL)

http_cache_last_modified -- Caching by last modification

## Description

bool http_cache_last_modified ( [int timestamp_or_expires] )

Attempts to cache the sent entity by its last modification date.

If the supplied argument is greater than 0, it is handled as timestamp and will be sent as date of last modification. If it is 0 or omitted, the current time will be sent as Last-Modified date. If it's negative, it is handled as expiration time in seconds, which means that if the requested last modification date is not between the calculated timespan, the Last-Modified header is updated and the actual body will be sent.

A log entry will be written to the cache log if the INI setting http.log.cache is set and the cache attempt was successful.

## Parameters

timestamp_or_expires

  Unix timestamp

## Return Values

Returns FALSE on failure, or exits with 304 Not Modified if the entity is cached.

Prev | Home | Next
http_cache_etag | Up | http_chunked_decode